#
# spec file for package lha (Version 1.14.0.894)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           lha
License:        SUSE-Public-Domain
Group:          Productivity/Archiving/Compression
Version:        1.14.0.899
Release:        1.67
Summary:        Pack Program
Url:            http://lha.sourceforge.jp/
# svn checkout http://svn.sourceforge.jp/svnroot/lha/lha/trunk ; mv trunk lha ; tar -jcf lha-svn$(svn info lha | sed -n 's/Revision: //p').tar.bz2 lha
Source:         lha-svn%(echo %{version} | sed 's/.*\.//').tar.bz2
# PATCH-FIX-OPENSUSE lha-automake.patch sbrabec@suse.cz -- Fix for new automake.
Patch:          lha-automake.patch
BuildRequires:  autoconf
BuildRequires:  automake
# Conflict with another lha implementation:
Conflicts:      lhasa
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Lha is a packer comparable to ZIP (PKZIP), ZOO, and others. It has been
included for compatibility reasons only. Use GZIP for general archiving
purposes, because it is the standard for Linux.

%prep
%setup -n lha -q
%patch -p1
# WARNING: Japanese man page must be in EUC-JP even with UTF-8 locales in SuSE Linux.
for FILE in 0* H* h* olddoc/* ; do
    iconv -f EUC-JP -t UTF-8 <$FILE | sed "s/Coding: euc-japan/Coding: utf-8/;s/This file is used EUC code/This file is used UTF-8 code/g;s/\\.euc//g" >${FILE%.euc}.new
    touch -r $FILE ${FILE%.euc}.new
    rm $FILE
    mv ${FILE%.euc}.new ${FILE%.euc}
done

%build
autoreconf -f -i
export CFLAGS="$RPM_OPT_FLAGS -fstack-protector -fPIC"
export LDFLAGS="-pie"
%configure\
	--enable-multibyte-filename=utf8\
	--with-additional-suffixes=lha
make %{?jobs:-j%jobs}

%install
%makeinstall

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc 0* C* H* header.doc olddoc/[cCIPR]* olddoc/MAC*
%{_bindir}/lha
%doc %{_mandir}/man1/*.*

%changelog
* Tue Sep 10 2013 sbrabec@suse.cz
- Updated to the latest SVN shapshot 899:
  * bug fixes
- Port to the latest automake.
* Mon Aug 18 2008 sbrabec@suse.cz
- Updated to the latest SVN shapshot:
  * --with-additional-suffixes configure option
  * extracting read-only directories
  * removes duplicated slashes
  * command line: support for configure options joining
  * support alphabetically unsorted LZH archives
  * documentation updates
  * Japanese file names support improvements
  * English man page instead of outdated Japanese
- Removed obsolete exclusive open patch.
* Mon Jan 14 2008 sbrabec@suse.cz
- Updated to the latest SVN shapshot:
  * Large file support.
  * Big-endian and 64-bit fixes.
* Tue Jul 17 2007 sbrabec@suse.cz
- Updated to the latest SVN shapshot from the new upstream:
  * Integrates all security patches.
  * Code cleanup.
  * Automake based.
  * New command line options.
- Build with stack protector and pie enabled.
* Mon Apr 16 2007 sbrabec@suse.cz
- Set proper CFLAGS: SUPPORT_LH7 and MKSTEMP (#264282).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 schwab@suse.de
- Don't strip binaries.
* Fri Jul 23 2004 sbrabec@suse.cz
- Security code review (bug #43081).
* Mon May 17 2004 sbrabec@suse.cz
- Added patch for obscure buffer overflow.
* Fri Apr 23 2004 sbrabec@suse.cz
- Fixed buffer overflows for long filenames (CAN-2004-0234).
- Added directory traversal protection (CAN-2004-0235) (#39178).
* Wed Feb 25 2004 hmacht@suse.de
- building as non-root
* Wed Apr 25 2001 cihlar@suse.cz
- fixed warnings on ia64
* Wed Mar  7 2001 cihlar@suse.cz
- update to version 1.14i
* Tue Feb  6 2001 cihlar@suse.cz
- added -DSYSTIME_HAS_NO_TM
* Wed Jan 10 2001 werner@suse.de
- Add temporary file patch
* Wed Nov 22 2000 cihlar@suse.cz
- update to version 1.11h
- bzipped sources
* Fri Aug 11 2000 cihlar@suse.cz
- update to version 1.14g
- fixed manpage
* Fri Mar  3 2000 kasal@suse.de
- Oops, a few lines in dif were redundant.
* Fri Mar  3 2000 kasal@suse.de
- added buildroot
- moved man page to /usr/share/man/ja
- fixed english manpage install
* Thu Mar  2 2000 uli@suse.de
- moved man page to /usr/share
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug  4 1999 kukuk@suse.de
- Add english manual page
* Thu Jan  2 1997 rj@suse.de
- new package version 1.0
